librelist archives

« back to archive

Latest Firefox with -app switch

Latest Firefox with -app switch

From:
Tim Ramsey
Date:
2014-01-06 @ 18:43
All:

I just updated my firefox today and it has broken the usual way that I run
conkeror.  I normally run conkeror with the following command:

"\Program Files (x86)\Mozilla Firefox\firefox.exe" -app
"\Users\tramsey\Documents\conkeror\application.ini"

That has worked fine for me for years.  Today that same invocation results
in the following error:

NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff
(NS_ERROR_UNEXPECTED) [nsIDownloadManager.addListener]
null()@chrome://conkeror/content/download-manager.js:383
load1()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:108

application.prototype.load()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:160

application.prototype.require()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:231
null()@chrome://conkeror/content/conkeror.js:47
load1()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:108

application.prototype.load()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:160

application.prototype.require()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:231

application()@file:///C:/users/tramsey/Documents/conkeror/components/application.js:40
null()@resource://gre/modules/XPCOMUtils.jsm:271

cmdline.prototype.handle()@file:///C:/users/tramsey/Documents/conkeror/components/command-line.js:20
null()@null:0
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "conkeror.handle_command_line is not a
function" {file:
"file:///C:/users/tramsey/Documents/conkeror/components/command-line.js"
line: 23}]' when calling method: [nsICommandLineHandler::handle]"
nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"
location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"
data: yes]
************************************************************
Console error: [JavaScript Error: "conkeror.handle_command_line is not a
function" {file:
"file:///C:/users/tramsey/Documents/conkeror/components/command-line.js"
line: 23}]
  Category: XPConnect JavaScript


I switched over to XULRunner (1.9.2) and I can run conkeror again, but I
like my old method. Does anyone have any clues as to what might be
happening?

I am running Windows 7, Firefox 26.0, and conkeror master branch (33a50572).

Thanks,
-Tim

Re: [conkeror] Latest Firefox with -app switch

From:
John J. Foerch
Date:
2014-01-06 @ 19:01
On Mon, Jan 06, 2014 at 01:43:05PM -0500, Tim Ramsey wrote:
> All:
> 
> I just updated my firefox today and it has broken the usual way that I run
> conkeror.  I normally run conkeror with the following command:
> 
> "\Program Files (x86)\Mozilla Firefox\firefox.exe" -app "\Users\tramsey\
> Documents\conkeror\application.ini"
> 
> That has worked fine for me for years.  Today that same invocation results in
> the following error:
> 
> NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff
> (NS_ERROR_UNEXPECTED) [nsIDownloadManager.addListener]
> null()@chrome://conkeror/content/download-manager.js:383
> load1()@file:///C:/users/tramsey/Documents/conkeror/components/
> application.js:108
> application.prototype.load()@file:///C:/users/tramsey/Documents/conkeror/
> components/application.js:160
> application.prototype.require()@file:///C:/users/tramsey/Documents/conkeror/
> components/application.js:231
> null()@chrome://conkeror/content/conkeror.js:47
> load1()@file:///C:/users/tramsey/Documents/conkeror/components/
> application.js:108
> application.prototype.load()@file:///C:/users/tramsey/Documents/conkeror/
> components/application.js:160
> application.prototype.require()@file:///C:/users/tramsey/Documents/conkeror/
> components/application.js:231
> application()@file:///C:/users/tramsey/Documents/conkeror/components/
> application.js:40
> null()@resource://gre/modules/XPCOMUtils.jsm:271
> cmdline.prototype.handle()@file:///C:/users/tramsey/Documents/conkeror/
> components/command-line.js:20
> null()@null:0
> ************************************************************
> * Call to xpconnect wrapped JSObject produced this error:  *
> [Exception... "'[JavaScript Error: "conkeror.handle_command_line is not a
> function" {file: "file:///C:/users/tramsey/Documents/conkeror/components/
> command-line.js" line: 23}]' when calling method:
> [nsICommandLineHandler::handle]"  nsresult: "0x80570021
> (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame ::
> <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
> ************************************************************
> Console error: [JavaScript Error: "conkeror.handle_command_line is not a
> function" {file: "file:///C:/users/tramsey/Documents/conkeror/components/
> command-line.js" line: 23}]
>   Category: XPConnect JavaScript
> 
> 
> I switched over to XULRunner (1.9.2) and I can run conkeror again, but I like
> my old method. Does anyone have any clues as to what might be happening?
> 
> I am running Windows 7, Firefox 26.0, and conkeror master branch (33a50572).
> 
> Thanks,
> -Tim

http://bugs.conkeror.org/issue457

-- 
John Foerch